Subject: Re: [NSIS] QoS NSLP: More open issues

From: "Markus Ott" <[email-masked]>
Date: Thu, 12 Jan 2006 08:24:38 -0500

Hi Jian,

Please see comment below.

> > * section 4.8 Rerouting:
> >   After the reservation on the new path is set up, the branching node
> >   or the merging node may want to tear down the reservation on the old
> >   path (faster than what would result from normal soft-state time-out).
> >
> >  It is unclear to me why and how the merging node should tear down the
> >  reservation on the old path: Only a reserve can carry a TEAR flag
> >  and it can only be sent towards the QNR. Furthermore, the branching
> >  node will usually detect the rerouting earlier anyway, because GIST
> >  will indicate a changed SII-handle via a network notification.
> 
> The reason why the merging node may need to tear down the 
> reservation on the old path explicitly is because that this 
> explicit tear down is faster than the implicit tear down via the 
> soft-state time-out. Can the merging node initiate a tearing 
> RESERVE message to the old branching node? I think the first 
> merging node can, see the example below.
> 
>      QNI------ QNE2 ----------QNE3--------QNE4-------QNE5-----QNR
>                 |                          |
>                 |                          |
>                 |-------------QNE3'--------|
> 
> 
>     Previously, flow 1 took the path QNI-QN2-QNE3-QNE4-QNE5-QNR, and after
>     some time, its path changes to QNI-QNE2-QNE3'-QNE4-QNE5-QNR. The QNE2
>     and QNE4 are called the merging nodes here. Due to this is the
>     case of sender-initiated reservation, now the path change is detected
>     when QNE2 receives a RESPONSE message with a different SII from QNE3'.
>     Then, the merging node QNE2 is aware of the path change and can
>     initiate a tearing RESERVE message with TEAR flag set and send it to
>     QNE3 to tear down the resources reserved for this flow at QNE3. QNE3
>     can further propagate this tearing RESERVE message to QNE4. But, the
>     question is that how long this tearing message should be propagated.
> 
>     In my opinion, the merging node QNE4 must not stop propagating this
>     tearing RESERVE message if it is already aware that it is the latter
>     merging node of this path change, i.e., it is aware that its
>     upstream peer is changed but the downstream peer is not. Meanwhile,
>     the new RESERVE message sent by QNE2 to QNE3' should also be stop
>     prapogating by QNE4. In this way, all those QNEs which are at the same
>     path as before do not need to tear down the resources and then reserve
>     the same resources again and again for the same flow.

I always thought that the merging node is defined as node where two flows 
merge (join). In the example above this is the node QNE4.
The QNE2 is the branching node (not the merging node) that means that 
one flow branches here (will be split into two flows). Or do you 
consider the QNE2 as a merging node in upstream direction?

>From my point of view the question of Roland Bless makes sense.

Regards,
Markus

-- 
___________________________________________________
Play 100s of games for FREE! http://games.mail.com/

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

---

From: Jian Zhang <[email-masked]>
Date: Thu, 12 Jan 2006 15:35:23 +0000

Hi, Markus,

> consider the QNE2 as a merging node in upstream direction?

Ok with me if we agree with that the QNE4 is called the merging node and the
QNE2 the branching node. In this case, the question Roland Bless raised does
make sense, i.e., only the branching node (QNE2) should and can initiate a
tearing RESERVE message to tear down the reservations on the old path and the
merging node (QNE4) cannot.

Regards,

Jian